Loading...
Searching...
No Matches
ranges::views::iter_take_while_base_fn Struct Reference
Inheritance diagram for ranges::views::iter_take_while_base_fn:

## Public Member Functions

template<typename Rng , typename Pred > requires viewable_range<Rng> && input_range<Rng> && predicate<Pred &, iterator_t<Rng>> && copy_constructible<Pred>
constexpr iter_take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const